<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_ffc655ae461b838dffa455178" . "4bacfca" => base64_decode("U0VMRUNUICogRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgdXNlcl9pZD1pbnQ6dV9pZCBBTkQgcGFnZV9pZD1pbnQ6cF9pZ" . "A=="), "_b707d4367ddde579d81c047d544" . "710e3" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIHVzZXJfaWQ9aW50OnVfaWQgQU5EIHBhZ2VfaW" . "Q9aW50OnBfaWQ="), "_20a787300c045525023" . "3fd06fa0384f4" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXR" . "pb25zIFdIRVJFIHVzZXJfaWQgSU4gaW46aW50On" . "VzZXJzIEFORCBwYWdlX2lkPWludDpwX2lkIEFOR" . "CBvbmNlID0gMQ=="), "_c06c961f39374" . "2ecfd52b72263a" . "c9470" => base64_decode("aW5" . "0dm" . "Fs"), "_b1dd56266fec1e595c364d7bf" . "c1254cb" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9ucyBTRVQgdXNlcl9pZD" . "1pbnQ6bmV3X2lkIFdIRVJFIHVzZXJfaWQ9aW50OnVfaWQ="), "_48467b7a05f92" . "d5ee95d490c490" . "118d1" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIH" . "BhZ2VfaWQ9aW50OnBfaWQ="), "_e656e7cb7f4bfc035d" . "d97e8a7055b847" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIHVzZXJfaWQ9aW50OnV" . "faWQ="), "_4ae48f0b4a26d39f5b586b01beb33" . "fec" => base64_decode("SU5TRVJUIElOVE8gcHVibGlzaF9ub3RpZmljYXRpb25zICh1c2VyX2lkLCBwYWdlX2lkLCBvbmNlKSBWQUxVRVMgK" . "GludDp1X2lkLCBpbnQ6cF9pZCwgaW50Om9uY2Up"), "_11bb4e3dc1e3" . "624a6ecb56860" . "f9dead0" => base64_decode("U0VMRUNUIHVzZXJfaWQgRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgcGFnZ" . "V9pZD1pbnQ6cF9pZA=="), "_53bfc51e054c55b09ffaa6" . "7e35743c96" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9ucyBTRVQgb25jZ" . "T1pbnQ6b25jZSBXSEVSRSB1c2VyX2lkPWludDp1X2lkIEFORC" . "BwYWdlX2lkPWludDp1X2lk"), "_2563c0d294fc62089228d1" . "2c57f6da77" => base64_decode("U0VMRUNUIG9uY2UgRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgdXNlcl9pZCA9IGludDp1X2lkIEFORCBwYWdlX" . "2lkID0gaW50OnBfaWQ="));
use Claromentis\Core\Services;
use Claromentis\Core\DAL;





class PublishNotification extends ErrorHandler
{
    
    
    
    
    public $user_id;
    
    
    
    
    public $page_id;
    
    
    
    
    public $once;
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function __construct($page_id, $_9e63546aa974e7187280d9182de56699 = false)
    {
        $this->page_id = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c06c961f393742ecfd52" . "b72263ac9470"]($page_id);
        $this->user_id = AuthUser::I()->GetId();
        $this->once = $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2563c0d294f" . "c62089228d12" . "c57f6da77"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            list($_9e63546aa974e7187280d9182de56699) = $_1f24efd4735b7a11b391147435e7d35d->fetchRow();
            if ($_9e63546aa974e7187280d9182de56699 != $this->once) {
                $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_53bfc51e054c55" . "b09ffaa67e35743" . "c96"], $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_c06c961f393742e" . "cfd52b72263ac947" . "0"]($this->once), $this->user_id, $this->page_id);
            }
        } else {
            $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4ae48f0b4a26d39f5" . "b586b01beb33fec"], $this->user_id, $this->page_id, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c06c961f393742ecf" . "d52b72263ac9470"]($this->once));
            $db->query($query);
        }
    }
    
    
    
    
    public function Delete()
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_b707d4367ddde579d81c047d" . "544710e3"], $this->user_id, $this->page_id);
    }
    
    
    
    
    
    
    public function DeleteSentNotifications($_e4543e131c67c631b14751cc849d1310)
    {
        $db = Services::I()->GetDb();
        if (!empty($_e4543e131c67c631b14751cc849d1310)) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_20a787300c0455250233fd0" . "6fa0384f4"], $_e4543e131c67c631b14751cc849d1310, $this->page_id);
        }
    }
    
    
    
    
    
    
    static function DeleteNotificationsForPage($page_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_48467b7a05" . "f92d5ee95d4" . "90c490118d1"], $page_id);
    }
    
    
    
    
    
    
    static function DeleteNotificationsForUser($user_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_e656e7cb7f4bfc035dd97e8a7055b8" . "47"], $user_id);
    }
    
    
    
    
    
    
    
    static function ReassignNotifications($user_id, $_4b3e34c8eac2f3dfca4b187bd615a53c)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_b1dd56266fec1e595c364d7bfc1" . "254cb"], $_4b3e34c8eac2f3dfca4b187bd615a53c, $user_id);
    }
    
    
    
    
    public function SetOnce($_9e63546aa974e7187280d9182de56699)
    {
        $this->once = (bool) $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    public function IsMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_ffc655ae46" . "1b838dffa45" . "51784bacfca"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            return true;
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function GetUsersMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_11bb4e3dc1e3624a6ecb568" . "60f9dead0"], $this->page_id);
        $_5882c836e9757b405d08e77f1fd2a18b = $_1f24efd4735b7a11b391147435e7d35d->fetchAllValues();
        return $_5882c836e9757b405d08e77f1fd2a18b;
    }
}